package com.maintain.business.service;

import com.maintain.business.domain.vo.ErpWarehouseVo;
import com.maintain.business.domain.bo.ErpWarehouseBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 维修站点-站点-仓库Service接口
 *
 * @author liushuai
 * @date 2025-03-25
 */
public interface IErpWarehouseService {

    /**
     * 查询维修站点-站点-仓库
     */
    ErpWarehouseVo queryById(Long id);

    /**
     * 查询维修站点-站点-仓库列表
     */
    TableDataInfo<ErpWarehouseVo> queryPageList(ErpWarehouseBo bo, PageQuery pageQuery);

    /**
     * 查询维修站点-站点-仓库列表
     */
    List<ErpWarehouseVo> queryList(ErpWarehouseBo bo);

    /**
     * 新增维修站点-站点-仓库
     */
    Boolean insertByBo(ErpWarehouseBo bo);

    /**
     * 修改维修站点-站点-仓库
     */
    Boolean updateByBo(ErpWarehouseBo bo);

    /**
     * 校验并批量删除维修站点-站点-仓库信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
